AgentDie_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.commands.AgentDie_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.commands
Class AgentDie_args

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.agent.commands.AgentDie_args

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class AgentDie_args

extends AgentRemoteValue

See Also:
  Serialized Form

Constructor Summary
`AgentDie_args()`
`AgentDie_args(AgentRemoteValue args)`

Method Summary
`void` | `setValue(java.lang.String key, java.lang.String val)` Setup a key/value pair.

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentDie_args

    public AgentDie_args()

### AgentDie_args

    public AgentDie_args(AgentRemoteValue args)
                  throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### setValue

    public void setValue(java.lang.String key,
                         java.lang.String val)

  Description copied from class: `AgentRemoteValue`
  Setup a key/value pair.

  Specified by:
    `setValue` in interface `GenericValueMap`
  Overrides:
    `setValue` in class `AgentRemoteValue`
  Parameters:
    `key` - Key to assign the value to
    `val` - Value to assign to the key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.